Bug 596776 - virt-inspector doesn't discover modprobe aliases on RHEL 3 guests
Summary: virt-inspector doesn't discover modprobe aliases on RHEL 3 guests
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libguestfs   
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 592891
TreeView+ depends on / blocked
 
Reported: 2010-05-27 13:49 UTC by Matthew Booth
Modified: 2010-07-21 02:11 UTC (History)
3 users (show)

Fixed In Version: 1.2.7-1.el5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 16:25:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Booth 2010-05-27 13:49:22 UTC
Description of problem:
virt-inspector on a machine with augeas-libs-0.7.1-1.el5.3 fails to detect any module aliases on a RHEL 3 guest:

modprobe_aliases: {}

I believe this is due an interaction between the augeas dance it does to force augeas's Modprobe lens to read /etc/modules.conf, and the new Modules_conf lens included in augeas-libs.

Version-Release number of selected component (if applicable):
augeas-libs-0.7.1-1.el5.3
libguestfs-1.2.7-1.el5.1

Comment 1 Matthew Booth 2010-05-28 09:30:40 UTC
Fixed in 1.2.7-1.el5.3

Comment 2 Fedora Update System 2010-06-02 21:12:37 UTC
libguestfs-1.2.9-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.el5

Comment 3 Fedora Update System 2010-06-02 21:26:23 UTC
libguestfs-1.2.9-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.fc13

Comment 4 Fedora Update System 2010-06-03 08:49:05 UTC
libguestfs-1.2.9-1.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.el5.1

Comment 6 Matthew Booth 2010-07-16 16:25:54 UTC
This was released in 1:libguestfs-1.2.7-1.el5.3


Note You need to log in before you can comment on or make changes to this bug.